Subject: Zero MPI

From: "Dominikus Scherkl" <[email-masked]>
Date: Thu, 3 May 2001 11:45:47 +0200

Hi!

Has anybody thought about how to store the value 0 (zero) in an MPI?
(I don't think that was used for any of the yet-supported algorithms,
but it may occure in ECC).
The standard implies, that it must be stored as the two octets
[00 00] and that no additional zeroes may be added. (In fact,
we have no chance to determine the end of an oversized zero-MPI,
because no non-zero octets must follow - a sequence of four zeros
could be a single padded zero-MPI or two non-padded zero-MPIs.)

Is this correct so far?
But how do current implementations behave this case?
Do they pad? How about v3 encoding (the complete value is left
unencoded but what does the cipher with the zero-lenght string?

-- 
Dominikus Scherkl